Bug 1433987 (CVE-2017-6464)

Summary: CVE-2017-6464 ntp: Denial of Service via Malformed Config
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: apmukher, dmoppert, duge, hasuzuki, kbost, kvolny, linville, mdshaikh, mlichvar, nupur.priya, psampaio, santony, sardella, security-response-team, slawomir, yiwu, yozone
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://bugs.ntp.org/show_bug.cgi?id=3389
Whiteboard:
Fixed In Version: ntp 4.2.8p10, ntp 4.3.94 Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was discovered in the NTP server's parsing of configuration directives. A remote, authenticated attacker could cause ntpd to crash by sending a crafted message.
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-10-26 07:10:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1435163, 1437714, 1437715, 1437716, 1437717, 1499184    
Bug Blocks: 1434021, 1498774    

Description Adam Mariš 2017-03-20 13:55:36 UTC
A vulnerability found in the NTP server makes it possible for an authenticated remote user to crash ntpd via a malformed mode configuration directive.

Mitigation:

Properly monitor your ntpd instances, and auto-restart ntpd (without -g) if it stops running.

Comment 1 Adam Mariš 2017-03-20 13:55:42 UTC
Acknowledgments:

Name: the NTP project
Upstream: Cure53

Comment 5 Adam Mariš 2017-03-23 10:08:10 UTC
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1435163]

Comment 7 Doran Moppert 2017-03-30 05:53:44 UTC
In ntp-4.2.6p5 and ntp-4.2.4p8, the ttl value is an unsigned char (rather than uint32), limiting the OOB read to a (256-8)-byte region. Testing on x86_64 fails to cause a crash.

Different compiler or linker options, or different hardware, could still result in a crash being possible through this vector.

Comment 10 nupur priya 2017-04-27 07:38:40 UTC
Is RHEL-7 vulnerable to this?

Comment 18 errata-xmlrpc 2017-10-26 07:03:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:3071 https://access.redhat.com/errata/RHSA-2017:3071

Comment 19 errata-xmlrpc 2018-04-10 08:26:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0855 https://access.redhat.com/errata/RHSA-2018:0855